<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android" >

    <data>
        <variable
            name="fragment"
            type="app.snappik.pushme.ui.main.MainFragment" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <Button
            android:id="@+id/button"
            style="@style/BlueButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:onClick='@{() -> fragment.onPlayClicked()}'
            android:text="@string/play"
            app:layout_constraintBottom_toTopOf="@+id/button2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <Button
            android:id="@+id/button2"
            style="@style/BlueButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:onClick="@{() -> fragment.onChaptersClicked()}"
            android:text="@string/chapters"
            app:layout_constraintBottom_toTopOf="@+id/button5"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <Button
            android:id="@+id/button4"
            style="@style/BlueButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="32dp"
            android:background="@drawable/shop_button_selector"
            android:onClick="@{() -> fragment.onShopClicked()}"
            android:text="@string/menu_shop"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <Button
            android:id="@+id/button5"
            style="@style/BlueButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:onClick="@{() -> fragment.onCustomClicked()}"
            android:text="@string/menu_builder"
            app:layout_constraintBottom_toTopOf="@+id/button4"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/textView16"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/orbitron_medium"
            android:text="@string/app_name"
            android:textColor="@color/blue_button_shadow"
            android:textSize="40sp"
            app:layout_constraintBottom_toTopOf="@+id/button"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.65"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <app.snappik.pushme.view.custom.KingLayout
            android:id="@+id/kingLayout"
            android:layout_width="80dp"
            android:layout_height="150dp"
            app:isIntroduction="@{false}"
            app:layout_constraintBottom_toBottomOf="@+id/textView16"
            app:layout_constraintEnd_toStartOf="@+id/textView16"
            app:layout_constraintTop_toTopOf="@+id/textView16"
            app:layout_constraintVertical_bias="0.84000003"
            app:randomEmotions="@{true}" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>